import * as cloudwatch from '@aws-cdk/aws-cloudwatch';
import * as lambda from '@aws-cdk/aws-lambda-nodejs';
import * as sns from '@aws-cdk/aws-sns';
import * as cdk from '@aws-cdk/core';
/**
 * @stability stable
 */
export interface CloudwatchAlarmsToTeamsConstructProps {
    /**
     * Provide a webhook url.
     *
     * @stability stable
     */
    readonly webhookUrl: string;
}
/**
 * @stability stable
 */
export declare class CloudwatchAlarmsToTeamsConstruct extends cdk.Construct {
    /**
     * @stability stable
     */
    readonly lambdaFunction: lambda.NodejsFunction;
    /**
     * @stability stable
     */
    readonly topic: sns.Topic;
    /**
     * @stability stable
     */
    constructor(scope: cdk.Construct, id: string, props: CloudwatchAlarmsToTeamsConstructProps);
    /**
     * @stability stable
     */
    addAlarmToTeamsNotification(alarm: cloudwatch.Alarm): void;
}
